package com.jeeplus.modules.filing.earlyEngineering.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 招标与合同管理实体类
 * */
public class BiddingContract extends DataEntity<BiddingContract> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 可研初设一体化设计中标通知书
     * */
    private String letterDesign;

    /**
     * 勘察设计合同
     * */
    private String disigningContract;

    /**
     * 业主项目部成立文件
     * */
    private String ownerDapartment;

    /**
     * 三个项目部关键人员信息
     * */
    private String threeDepartment;

    /**
     * 监理合同
     * */
    private String inspectionControl;

    /**
     * 施工中标通知书
     * */
    private String letterAcceptance;

    /**
     * 施工合同
     * */
    private String conContract;

    /**
     * 其他合同
     * */
    private String otherContracts;

    /**
     * 子类数据集合
     * */
    private List<BiddingContract> childList = Lists.newArrayList();

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    public String getLetterDesign() {
        return letterDesign;
    }

    public void setLetterDesign(String letterDesign) {
        this.letterDesign = letterDesign;
    }

    public String getDisigningContract() {
        return disigningContract;
    }

    public void setDisigningContract(String disigningContract) {
        this.disigningContract = disigningContract;
    }

    public String getOwnerDapartment() {
        return ownerDapartment;
    }

    public void setOwnerDapartment(String ownerDapartment) {
        this.ownerDapartment = ownerDapartment;
    }

    @ExcelField(title="三个项目部关键人员信息", align=2, sort=4)
    public String getThreeDepartment() {
        return threeDepartment;
    }

    public void setThreeDepartment(String threeDepartment) {
        this.threeDepartment = threeDepartment;
    }

    public String getInspectionControl() {
        return inspectionControl;
    }

    public void setInspectionControl(String inspectionControl) {
        this.inspectionControl = inspectionControl;
    }

    public String getLetterAcceptance() {
        return letterAcceptance;
    }

    public void setLetterAcceptance(String letterAcceptance) {
        this.letterAcceptance = letterAcceptance;
    }

    public String getConContract() {
        return conContract;
    }

    public void setConContract(String conContract) {
        this.conContract = conContract;
    }

    public String getOtherContracts() {
        return otherContracts;
    }

    public void setOtherContracts(String otherContracts) {
        this.otherContracts = otherContracts;
    }

    public List<BiddingContract> getChildList() {
        return childList;
    }

    public void setChildList(List<BiddingContract> childList) {
        this.childList = childList;
    }
}
